﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace IsFieldActiveTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void XamDataGrid_CellActivated(object sender, Infragistics.Windows.DataPresenter.Events.CellActivatedEventArgs e)
        {
            e.Cell.Field.SetValue(IsFieldActiveProperty, true);
        }

        private void XamDataGrid_CellDeactivating(object sender, Infragistics.Windows.DataPresenter.Events.CellDeactivatingEventArgs e)
        {
            e.Cell.Field.ClearValue(IsFieldActiveProperty);
        }

        #region IsFieldActive

        public static readonly DependencyProperty IsFieldActiveProperty =
            DependencyProperty.RegisterAttached("IsFieldActive", typeof(bool), typeof(Window1),
                new FrameworkPropertyMetadata((bool)false));

        public static bool GetIsFieldActive(DependencyObject d)
        {
            return (bool)d.GetValue(IsFieldActiveProperty);
        }

        public static void SetIsFieldActive(DependencyObject d, bool value)
        {
            d.SetValue(IsFieldActiveProperty, value);
        }

        #endregion
    }
}
